Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 339527 (CVE-2010-1623) - <dev-libs/apr-util-1.3.10: Denial of Service Vulnerability (CVE-2010-1623)
Summary: <dev-libs/apr-util-1.3.10: Denial of Service Vulnerability (CVE-2010-1623)
Status: RESOLVED FIXED
Alias: CVE-2010-1623
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: High minor (vote)
Assignee: Gentoo Security
URL: https://svn.apache.org/viewvc?view=re...
Whiteboard: B3 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-02 23:04 UTC by Tim Sammut (RETIRED)
Modified: 2014-05-18 17:54 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Sammut (RETIRED) gentoo-dev 2010-10-02 23:04:11 UTC
From $url:

SECURITY: CVE-2010-1623
Fix a denial of service attack against apr_brigade_split_line().

The upstream appears to have tagged 1.3.10 for release.
Comment 1 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2010-10-04 01:06:01 UTC
Stabilize dev-libs/apr-util-1.3.10.
Comment 2 Markos Chandras (RETIRED) gentoo-dev 2010-10-04 12:15:21 UTC
amd64 done
Comment 3 Markus Meier gentoo-dev 2010-10-05 20:26:03 UTC
x86 stable
Comment 4 Jeroen Roovers gentoo-dev 2010-10-06 15:09:54 UTC
Stable for HPPA.
Comment 5 Brent Baude (RETIRED) gentoo-dev 2010-10-08 15:05:03 UTC
ppc64 done
Comment 6 Brent Baude (RETIRED) gentoo-dev 2010-10-08 15:08:15 UTC
ppc done
Comment 7 Tobias Klausmann gentoo-dev 2010-10-09 13:12:18 UTC
Stable on alpha.
Comment 8 Raúl Porcel (RETIRED) gentoo-dev 2010-10-09 16:40:57 UTC
arm/ia64/s390/sh/sparc stable
Comment 9 Tim Sammut (RETIRED) gentoo-dev 2010-10-09 19:05:25 UTC
GLSA Vote: Yes, remote unauthenticated DoS in a common package.
Comment 10 Stefan Behte (RETIRED) gentoo-dev Security 2010-10-22 23:16:16 UTC
CVE-2010-1623 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2010-1623):
  The apr_brigade_split_line function in buckets/apr_brigade.c in the
  Apache Portable Runtime Utility library (aka APR-util) before 1.3.10,
  as used in the mod_reqtimeout module in the Apache HTTP Server and
  other software, allows remote attackers to cause a denial of service
  (memory consumption) via unspecified vectors.

Comment 11 Stefan Behte (RETIRED) gentoo-dev Security 2010-11-21 16:57:15 UTC
Vote: YES, glsa request filed.
Comment 12 GLSAMaker/CVETool Bot gentoo-dev 2014-05-18 17:54:11 UTC
This issue was resolved and addressed in
 GLSA 201405-24 at http://security.gentoo.org/glsa/glsa-201405-24.xml
by GLSA coordinator Sean Amoss (ackle).